Part Helix/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "Voir aussi : Éditeur de propriétés")
(Created page with "Un objet Part Hélice est dérivé d'un Part Feature et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivan...")
Line 42: Line 42:
Voir aussi : [[Property_editor/fr|Éditeur de propriétés]]
Voir aussi : [[Property_editor/fr|Éditeur de propriétés]]


A Part Helix object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
Un objet Part Hélice est dérivé d'un [[Part_Feature/fr|Part Feature]] et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :


=== Data ===
=== Data ===

Revision as of 20:24, 4 March 2022

Part Hélice

Emplacement du menu
Pièce → Créer des primitives... → Hélice
Ateliers
Part, OpenSCAD
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Primitives

Description

Une Part Hélice est une forme paramétrique qui peut être créée avec la commande Part Primitives. Dans le système de coordonnées défini par sa propriété DonnéesPlacement, l'axe de l'hélice correspond à l'axe des Z et son point inférieur, le point de départ, se trouve sur l'axe des X.

Utilisation

Voir Part Primitives.

Exemple

Part Hélice à partir de l'exemple du script

Un objet Part Hélice créé avec l'exemple du script ci-dessous.

Remarques

Propriétés

Voir aussi : Éditeur de propriétés

Un objet Part Hélice est dérivé d'un Part Feature et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Coordinate System

  • DonnéesLocal Coord (Enumeration): The handedness, or direction, of the helix: Right-handed or Left-handed. The default is Right-handed, meaning the helix turns counterclockwise as it goes up.

Helix

  • DonnéesPitch (Length): The distance between two consecutive turns of the helix measured along its Z axis. The default is 1mm.
  • DonnéesHeight (Length): The height of the helix. The default is 2mm.
  • DonnéesRadius (Length): The start radius of the helix. The helix has a constant radius if DonnéesAngle is .
  • DonnéesSegment Length (QuantityConstraint): The number of turns per helix subdivision. The default is 1, meaning each full turn of the helix is a separate segment. Use 0 to suppress subdivision.
  • DonnéesAngle (Angle): The angle that defines of the outer shape of the helix. Valid range: -90° < value < 90°. The default is . If it is the helix is cylindrical, else it is conical.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Helix can be created with the addObject() method of the document:

helix = FreeCAD.ActiveDocument.addObject("Part::Helix", "myHelix")
  • Where "myHelix" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

helix = doc.addObject("Part::Helix", "myHelix")
helix.Pitch = 2
helix.Height = 3
helix.Radius = 4
helix.SegmentLength = 21
helix.Angle = 45
helix.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()